> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List covers

> List Podcast covers in the shared Space library.

MCP tool: `podcast_list_covers`. OAuth scope: `asset.read`.


## OpenAPI

````yaml api-reference/openapi.json GET /open/podcast/v1/covers
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/covers:
    get:
      tags:
        - Podcast
      summary: list covers
      description: List Podcast covers in the shared Space library.
      operationId: podcast_list_covers
      parameters:
        - in: query
          name: last_id
          schema:
            minimum: 0
            type: integer
        - in: query
          name: page_size
          schema:
            maximum: 50
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.PodcastCoverListResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.PodcastCoverListResp:
      properties:
        has_more:
          type: boolean
        list:
          items:
            $ref: '#/components/schemas/vo.PodcastCoverListItem'
          type: array
        next_cursor:
          type: integer
      type: object
    vo.PodcastCoverListItem:
      properties:
        aspect_ratio:
          type: integer
        cover_id:
          type: integer
        create_time:
          type: integer
        err_msg:
          type: string
        image_url:
          type: string
        model:
          type: integer
        output_index:
          type: integer
        photo_unique_id:
          type: string
        progress:
          type: integer
        progress_desc:
          type: string
        prompt:
          type: string
        quality:
          type: string
        reference_images:
          items:
            $ref: '#/components/schemas/vo.ReferenceImageResp'
          type: array
        resolution:
          type: string
      type: object
    vo.ReferenceImageResp:
      properties:
        key:
          description: 类型：face/appearance/background
          type: string
        url:
          description: 图片URL
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````